Defines | Functions

# flash_boot_drv.h File Reference

Routines to access (R/W) at flash via boot section. More...

`#include "config.h"`
Include dependency graph for flash_boot_drv.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | Flash_RWW_Read_enable() (flash_rww_enable())
#define | Flash_page_erase(address) (flash_page_erase(address))
#define | Flash_page_write(address) (flash_prg_page(address))
## Functions
void | flash_page_erase_and_write (unsigned long adr)
void | flash_prg_page (unsigned long adr)
void | flash_page_erase (unsigned long adr)
void | flash_rww_enable (void)
U8 | flash_read_sig (unsigned long adr)
U8 | flash_read_fuse (unsigned long adr)
void | lock_wr_bits (unsigned char val)
void | flash_fill_temp_buffer (unsigned int data, unsigned int adr)

## Detailed Description

Routines to access (R/W) at flash via boot section.

- Compiler: IAR EWAVR and GNU GCC for AVR
- Supported devices: ATmega32U4

Author:
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

Definition in file flash_boot_drv.h.

## Define Documentation

#define Flash_RWW_Read_enable | ( | ) | (flash_rww_enable())

Definition at line 53 of file flash_boot_drv.h.

#define Flash_page_erase | ( |  | address ) | (flash_page_erase(address))

Definition at line 55 of file flash_boot_drv.h.

Referenced by flash_erase(), and flash_wr_block().

#define Flash_page_write | ( |  | address ) | (flash_prg_page(address))

Definition at line 57 of file flash_boot_drv.h.

Referenced by flash_wr_block().

## Function Documentation

void flash_page_erase_and_write | ( | unsigned long | adr ) |

void flash_prg_page | ( | unsigned long | adr ) |

void flash_page_erase | ( | unsigned long | adr ) |

void flash_rww_enable | ( | void | ) |

U8 flash_read_sig | ( | unsigned long | adr ) |

U8 flash_read_fuse | ( | unsigned long | adr ) |

void lock_wr_bits | ( | unsigned char | val ) |

void flash_fill_temp_buffer | ( | unsigned int | data,
|  | unsigned int | adr
| ) |  |

Referenced by flash_wr_block().

Here is the caller graph for this function: